Multiples
Private v1ApiPrivateV1InvestorsResolve

Bulk name → investor-ID mapping

POST
/api/private/v1/investors/resolve

Authorization

bearerAuth
AuthorizationBearer <token>

Send your API key as a bearer token in the Authorization header: Authorization: Bearer mpl_live_.... A single key grants access to all endpoints in this API. Contact your account manager to obtain or rotate a key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/private/v1/investors/resolve" \  -H "Content-Type: application/json" \  -d '{    "names": [      "Sequoia Capital",      "Sequoi",      "Zzqx Nonexistent VC"    ]  }'
{  "data": [    {      "query": "Sequoia Capital",      "id": "9918f9bb-0d74-434d-9029-a44cbee87637",      "match_type": "exact"    },    {      "query": "Sequoi",      "id": null,      "match_type": "ambiguous",      "candidates": [        {          "id": "682e8a71-8e0f-4106-b8fe-f747a150876e",          "name": "Sequoia Fund",          "country": "USA",          "score": 0.5        },        {          "id": "6b4dcb9f-8e91-4339-a83b-c688e7025072",          "name": "Sequoia Apps",          "country": "USA",          "score": 0.5        },        {          "id": "19566905-8cf4-46d4-a1b2-3e6e9cade5b2",          "name": "Sequoia Scout",          "country": "USA",          "score": 0.46        }      ]    },    {      "query": "Zzqx Nonexistent VC",      "id": null,      "match_type": "no_match"    }  ]}